#!/usr/bin/env sh
# columnate with awk
# description: sometimes you reach the limit of 'column'
# dependencies: awk 
# e.g.$ mount | awkcol
# source: http://awk.freeshell.org/Columnate
awk '{
    line[NR] = $0    # saves the line
    for (f=1; f<=NF; f++) {
        len = length($f)
        if (len>max[f])
            max[f] = len    # an array of maximum field widths
    }
}

END {
    for(nr=1; nr<=NR; nr++) {
        nf = split(line[nr], fields)
        for (f=1; f<nf; f++)
            printf "%-*s", max[f]+2, fields[f]
        print fields[f]     # the last field need not be padded
    }
}'

