#!/usr/bin/env sh

if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	echo "tutanota-update [installdir]"
	echo "Download & install the latest linux desktop AppImage"
	echo "from mail.tutanota.com."
	echo ""
	echo "Arguments:"
	echo "- [installdir] is the directory to move the downloaded"
	echo "  binary to. Default: '/usr/local/bin'."
	exit
fi

if [ "$(whoami)" != "root" ]; then
	echo "root priviledges required"
	exit
fi

INSTALL="/usr/local/bin"
if [ "$1" != "" ]; then INSTALL="$1"; fi
OUTBIN="$INSTALL/tutanota"
DWNBIN="./tutanota-desktop-linux.AppImage"
GETURL="https://mail.tutanota.com/desktop/$DWNBIN"

echo "fetching latest binary..."
wget --quiet "$GETURL"
install "$DWNBIN" "$OUTBIN"
rm "$DWNBIN"
