#!/usr/bin/env sh
# git-init will init a git repository (on a git server)
# $1 should be the name of the repository

if [ "$1" = "" ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	echo "Usage: git-init REPO"
	echo ""
	echo "'git init' multiple repos in one call. REPO should be a list of the repository names."
	echo "bash expansion is useful here: 'git-init github.com/user/{repo1,repo2}"
	exit
fi

mkdir "$HOME/$1" && ln -s "$HOME/$1" "$HOME/$1.git" && git init --bare "$HOME/$1"
