#!/usr/bin/env sh
# cycles the desktop background to a random image from $XDG_PICTURES_DIR/wallpapers
# updated to work with Ubuntu 22

. "$HOME/.config/user-dirs.dirs"
WALLPAPERS_DIR=$XDG_PICTURES_DIR/wallpapers/

if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	echo "usage: ./gnome-shell-cycle-wallpaper.sh"
	echo ""
	echo "change the wallpaper on a GNOME desktop to a random file from $WALLPAPERS_DIR"
	exit
fi

selection=$(find "$WALLPAPERS_DIR" -type f | shuf -n1)
gsettings set org.gnome.desktop.background picture-uri "file://$selection"
gsettings set org.gnome.desktop.background picture-uri-dark "file://$selection"
