#!/bin/sh
# openurl
# description: xdg-open all urls found in $@
# e.g.$ openurl saved-links.txt

open=xdg-open
if [ "$(uname)" = "Darwin" ]; then open=open; fi

if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	echo "usage: ./openurl.sh FILEPATHS..."
	echo ""
	echo "open all links existing in contents of listed files"
	exit
fi

for f in "$@"; do
	while read -r url; do
		$open "$url" | grep -q 'https?://(^")+' | tr -d '\r'
	done < "$f"
done

