#!/usr/bin/env sh

if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	echo "usage: ./pyserve.sh [DIRECTORY] [PORT]"
	echo ""
	echo "Shorthand for 'python3 -m http.server --directory DIRECTORY PORT'"
	echo ""
	echo "DIRECTORY    (default: '.') The directory to use as the root directory of the webserver"
	echo "PORT         (default: 8001) The port to use for the webserver"
	exit
fi

dir="."
port="8001"

if [ "$1" ]; then dir="$1"; fi
if [ "$2" ]; then port="$2"; fi

python3 -m http.server --directory "$dir" "$port"
